﻿using System.Windows;
using Infragistics.Windows.Chart;

namespace Chart_Test.Helper
{
    public class SeriesBinder : DependencyObject
    {
        public static DependencyProperty BindingInfoProperty = DependencyProperty.RegisterAttached("BindingInfo", typeof(SeriesBindingInfo), typeof(SeriesBinder),
            new PropertyMetadata(null,
                (o, e) =>
                {
                    if (o is XamChart)
                    {
                        SeriesBindingInfo prev = GetBindingInfo(o);
                        if (prev != null && prev.TargetChart != null)
                        {
                            prev.TargetChart = null;
                        }
                        if (e.NewValue != null)
                        {
                            (e.NewValue as SeriesBindingInfo).TargetChart =
                                (XamChart)o;
                        }
                    }
                }));

        public static void SetBindingInfo(DependencyObject target, SeriesBindingInfo info)
        {
            target.SetValue(BindingInfoProperty, info);
        }

        public static SeriesBindingInfo GetBindingInfo(DependencyObject target)
        {
            return (SeriesBindingInfo)target.GetValue(BindingInfoProperty);
        }
    }
}
